#version 120
#extension GL_ARB_shader_texture_lod : enable

/*

	##########	##########	##########	##########	##
	##				##		##		##	##		##	##
	##				##		##		##	##		##	##
	##########		##		##		##	##########	##
			##		##		##		##	##			##
			##		##		##		##	##	
	##########		##		##########	##			##

Before you do anything here, make sure you've read my agreement!

Otherwise, notice that you are ONLY allowed to modify my shaderpack
for your OWN USE!

*/

/* DRAWBUFFERS:024 */

varying vec4 color;
varying vec4 vtexcoordam;
varying vec4 vtexcoord;
varying vec2 lmcoord;
varying vec3 tangent;
varying vec3 normal;
varying vec3 binormal;
varying vec2 texcoord;

uniform sampler2D texture;
uniform sampler2D normals;
uniform vec3 sunPosition;
uniform vec3 moonPosition;
uniform int worldTime;

const int GL_LINEAR = 9729;
const int GL_EXP = 2048;

void main() {

	vec4 frag2 = vec4(vec3(normal) * 0.5 + 0.5, 1.0f);

	gl_FragData[0] = texture2D(texture, texcoord.st) * color;
	gl_FragData[1] = frag2;	
	gl_FragData[2] = vec4(lmcoord.t, 0.8, lmcoord.s, 1.0);
	
}